package com.atmob.keyboard_android.util

import com.atmob.keyboard_android.constant.Constants
import com.blankj.utilcode.util.SPUtils


/**
 * 键盘引导记录工具类
 */
class KeyboardGuideRecordUtil private constructor() {
    companion object {
        /**
         * 是否第一次显示键盘引导
         */
        fun isFirstShowKeyboardGuide(): Boolean {
            return SPUtils.getInstance().getBoolean(Constants.IS_FIRST_SHOW_KEYBOARD_GUIDE, true)
        }

        /**
         * 设置是否第一次显示键盘引导
         */
        fun setFirstShowKeyboardGuide(isFirst: Boolean) {
            SPUtils.getInstance().put(Constants.IS_FIRST_SHOW_KEYBOARD_GUIDE, isFirst)
        }
    }
}